<template>
  <div v-if="model" class="model-table">
    <sa-filter :store-name="modelPlural" :model="model" />
    <sa-table
      :store-name="modelPlural"
      :model="model"
      :disable-column-groups="disableColumnGroups"
    />
  </div>
</template>
<script>
export default {
  props: {
    modelName: {
      type: String,
      required: true
    },
    modelPlural: {
      type: String,
      required: true
    },
    disableColumnGroups: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    model() {
      return this.$store.state.models[this.modelName]
    }
  },
  created() {
    if (!this.model) {
      return this.$store.dispatch('models/loadModel', this.modelName)
    }
  }
}
</script>
